This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 311361 - [PATCH] Thinkfinger doesn't work well with gdm's face browser
[PATCH] Thinkfinger doesn't work well with gdm's face browser
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thinkfinger (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-09-28 13:09 EDT by Jonathan Blandford
Modified: 2013-04-02 00:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:31:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Blandford 2007-09-28 13:09:24 EDT
The facebrowser seems to confuse thinkfinger a little.  If you have an account
without a fingerprint and click on it, it goes straight to the 'Password'
response.  If you then click on an account with a fingerprint, it doesn't work
with a fingerprint until you've tried to enter a password.
Comment 1 Julian Sikorski 2007-09-28 13:31:39 EDT
I can't reproduce it here. I created an account without fingerprints. Logged out.
1. Clicked Mr Nofingers - gdm asks for password
2. Clicked my accout - gdm asks for username
3. Clicked my account again - gdm asks for password or fingerprint
4. Swiped finger - gdm logged me in.
Comment 2 Warren Togami 2007-09-28 15:17:44 EDT
I discovered that SELinux is denying gdm's access to USB devices, which breaks
gdm's ability to work with thinkfinger.

module thinkfingergdm 1.0;

require {
        type xdm_t;
        type usb_device_t;
        class chr_file { read write ioctl };
}

#============= xdm_t ==============
allow xdm_t usb_device_t:chr_file { read write ioctl };

I added this semodule and it began working for me.  Is this the correct solution?
Comment 3 Daniel Walsh 2007-10-01 16:40:30 EDT
Yes that is the correct solution,  But a more complete solution should be in
selinux-policy-2.6.4-46.fc7.src.rpm
Comment 4 Jonathan Blandford 2007-10-01 23:05:39 EDT
Great!  I'll test it out when it is built.
Comment 5 Matthias Clasen 2007-10-03 12:16:13 EDT
Jrb, does this work now ?
Comment 6 Jonathan Blandford 2007-10-03 13:40:27 EDT
Somewhat awkwardly, I upgraded to rawhide, so I can't test with that version.  I
am still seeing the bug here though with selinux-policy-3.0.8-14.fc8.
Comment 7 Daniel Walsh 2007-10-03 17:09:01 EDT
jrb are you seeing additional AVCs?
Comment 8 Jesse Keating 2007-10-22 14:17:56 EDT
Moving to F8Target.  Jonathan would still be good to get your input.
Comment 9 Bug Zapper 2008-05-14 10:33:12 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 22:31:23 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.